package com.javacodegeeks.micronaut.reservation;

import java.util.UUID;

import io.micronaut.data.jdbc.annotation.JdbcRepository;
import io.micronaut.data.model.query.builder.sql.Dialect;
import io.micronaut.data.repository.CrudRepository;

@JdbcRepository(dialect = Dialect.MYSQL)
public interface ReservationRepository extends CrudRepository<ReservationEntity, UUID> { 
}
