package com.javacodegeeks.spring.reservation;


import java.time.OffsetDateTime;
import java.util.UUID;

import com.fasterxml.jackson.annotation.JsonProperty;

public class Reservation {
    @JsonProperty private UUID id;
    @JsonProperty private UUID vehicleId;
    @JsonProperty private OffsetDateTime from;
    @JsonProperty private OffsetDateTime to;
    @JsonProperty private String status;
    
    public Reservation() {
    }

    public Reservation(final UUID id) {
        this.id = id;
    }
    
    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public UUID getVehicleId() {
        return vehicleId;
    }

    public void setVehicleId(UUID vehicleId) {
        this.vehicleId = vehicleId;
    }

    public OffsetDateTime getFrom() {
        return from;
    }

    public void setFrom(OffsetDateTime from) {
        this.from = from;
    }

    public OffsetDateTime getTo() {
        return to;
    }

    public void setTo(OffsetDateTime to) {
        this.to = to;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
