package com.javacodegeeks.micronaut.reservation;

import io.micronaut.runtime.Micronaut;
import io.swagger.v3.oas.annotations.OpenAPIDefinition;
import io.swagger.v3.oas.annotations.info.Info;

@OpenAPIDefinition(
    info = @Info(
            title = "Reservations",
            version = "0.0.1-SNAPSHOT",
            description = "Exposes Car Reservations API"
    )
)
public class ReservationStarter {
    public static void main(String[] args) {
        Micronaut.run(ReservationStarter.class, args);
    }    
}
